Bug 31490

Summary: mod_proxy_ftp renders filenames with spaces badly
Product: Apache httpd-2 Reporter: gebasz <gab>
Component: mod_proxyAssignee: Apache HTTPD Bugs Mailing List <bugs>
Status: RESOLVED LATER    
Severity: normal Keywords: MassUpdate, PatchAvailable
Priority: P3    
Version: 2.0.51   
Target Milestone: ---   
Hardware: PC   
OS: Linux   
Attachments: Rework the parsing logic of LIST command

Description gebasz 2004-09-30 14:59:26 UTC
using a reverse proxy to an ftp server the rendering of received directory
listings are useless for files with spaces (' ') in their names. the entry
for a file named "long filename.txt" becomes
long &lt;a href="filename.txt"&gt;filename.txt&lt;/a&gt;
in the output.
i think it's because vars searchidx and firstfile in ap_proxy_send_dir_filter()
get initialized at every cycle of the loop which they shouldn't. i made them
both static and it fixes but haven't checked if doing so leads to some memory
leaking or else.

Gabor
Comment 1 rahul 2007-08-29 07:52:49 UTC
Created attachment 20727 [details]
Rework the parsing logic of LIST command

The original logic using firstfile and searchidx does not work, I have
reworked the logic to start the parsing of each line from beginning rather
than the end as done now. The parsing is done such that if we do not detect
that it is NT listing, we fall back to Unix ls -l listing format. But this
need not be the case (though it will be so for a vast majority of cases.)

The solution for that would be to send a SYST command at the starting of
connection or let user specify the back end server type in the case of a
reverse proxy setup, and use that to figure out the LIST format.
This will be easier once the mod_proxy_ftp.c is re factored(41676).
Comment 2 Ruediger Pluem 2007-08-29 12:09:11 UTC
Please do NOT change the assignment of bugs. This cuts off the
bugs@httpd.apache.org mailing list from change notifications.
Comment 3 Rainer Jung 2018-02-25 19:44:44 UTC
Undo spam change
Comment 4 William A. Rowe Jr. 2018-11-07 21:09:21 UTC
Please help us to refine our list of open and current defects; this is a mass update of old and inactive Bugzilla reports which reflect user error, already resolved defects, and still-existing defects in httpd.

As repeatedly announced, the Apache HTTP Server Project has discontinued all development and patch review of the 2.2.x series of releases. The final release 2.2.34 was published in July 2017, and no further evaluation of bug reports or security risks will be considered or published for 2.2.x releases. All reports older than 2.4.x have been updated to status RESOLVED/LATER; no further action is expected unless the report still applies to a current version of httpd.

If your report represented a question or confusion about how to use an httpd feature, an unexpected server behavior, problems building or installing httpd, or working with an external component (a third party module, browser etc.) we ask you to start by bringing your question to the User Support and Discussion mailing list, see [https://httpd.apache.org/lists.html#http-users] for details. Include a link to this Bugzilla report for completeness with your question.

If your report was clearly a defect in httpd or a feature request, we ask that you retest using a modern httpd release (2.4.33 or later) released in the past year. If it can be reproduced, please reopen this bug and change the Version field above to the httpd version you have reconfirmed with.

Your help in identifying defects or enhancements still applicable to the current httpd server software release is greatly appreciated.